<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
class Sortable
{
	function getList() 
	{
		
		$sql = $GLOBALS['db']->Query("SELECT * FROM " . PREFIX . "_ajax_sort ORDER BY orderid ASC");
		while($row = $sql->fetcharray()) {
			$lists[] = $row;
		}
		
		$GLOBALS['tmpl']->assign('drags', $lists);
	}
	
	function updateList($orderArray) {
		
		$orderid = 1;
		foreach($orderArray as $catid) 
		{
			echo 1;
			$catid = (int) $catid;
			$GLOBALS['db']->Query("UPDATE " . PREFIX . "_ajax_sort SET orderid={$orderid} WHERE catid={$catid}");
			$orderid++;
		}
	}
}
?>